Subject: Offline Message from Stephanie: Hi I purchased the Swagtron EB6 about 1 year
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 19 Jun 2022 22:42:37 -0000

From: Stephanie <[email-masked]>
Phone: 7183162375
Location: Brooklyn, United States
URL: https://swagtron.com/shop/page/3/
Department: SwagTron

Hi I purchased the Swagtron EB6 about 1 year and a half ago... I believe I need new brake pads which ones exactly should I buy? Also, is there a bigger battery I can buy that is compatible with this bike? Please let me know any suggestions as well... I love my bike and "she" goes everywhere with me. Thank you

----
Zopim
https://www.zopim.com